using System;

namespace Microsoft.Research.Herald.ClusterLib 
{
    /// <summary>
    /// Summary description for HeraldUI.
    /// </summary>
    public interface HeraldUI 
    {
        // Display an error message to the user
        void Error( string format, params object[] arg );

        // Display a message to the user
        void Message( string format, params object[] arg );

        // Display a message to the user without a new line
        void MessageNoNewLine( string format, params object[] arg );

        // Display a Herald eventing message to the user
        void HeraldMessage( string topic, string from, string message );
    }
}
