using System;

namespace Microsoft.Research.Taro {

    //-----------------------------------------------------------------------
    // Configuration object
    //-----------------------------------------------------------------------

    public class TaroConfig {
        // For log output        
        public const string CATEGORY = "Taro";

		public const string TARO_NAMESPACE = "http://research.microsoft.com/sn/Herald/Taro";
		public const string TARO_MSG_ACTION = "http://research.microsoft.com/sn/Herald/Taro/Msg";
		public const string TARO_REPLY_ACTION = "http://research.microsoft.com/sn/Herald/Taro/Reply";
		public const string TARO_PING_ACTION = "http://research.microsoft.com/sn/Herald/Taro/Ping";
	}

	public delegate void CounterCallback(int count);
}
